function [t, x, y] = MatlabScript
global input K
%%
% "input" global variable represents an input signal and must have the same
% name as in the DSL block
% "K" global variable represents a parameter and must have the same name as 
% in the DSL block
% "t" is required by the PowerFactory calculation engine. may be kept to
% t=[tstart; tstart+dtstep] as exemplified below
% x = [] is no states are defined in DSL block. Otherwise x return variable 
% must have 2 rows and as many columns as states are in the DSL model 
% "y" return variable must have 2 rows and as many columns as outputs are
% in the DSL model

%%
%%%%%%%%%%%%%% Here the actual script code is added %%%%%%%%%%%%%%%%%
MyInternalVariable = K * sin(2*pi*1*input);

%%%%%%%%%%%%%%%%%%%% Script Code ends here %%%%%%%%%%%%%%%%%%%%%%%%%%

%% Here the results are updated and the function returns them to the workspace
y=[MyInternalVariable;MyInternalVariable];
t = [0;0.01];
x = [];





